SWRL Tab installation error in Protege 5

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

SWRL Tab installation error in Protege 5

Young-hyun Park
This post was updated on .
I need to install SWRL tab in Protege desktop version 5.
And I searched the way to install swrltab-plugin on websites below.

https://github.com/protegeproject/swrltab-plugin
and
http://chuongdang.com/blog/2014/10/09/how-to-install-swrl-tab-plugin-for-protege-5/

I followed the process exactly and succeeded to make jar file.
jar.png

But SWRL Tab didn't show any where in the application.
menu-view.png

I checked "Help>About> Plug Information" and there is swrl tab plugin, though.
plugin_list.png

I couldn't find what was wrong.
Please help me...
Reply | Threaded
Open this post in threaded view
|

Re: SWRL Tab installation error in Protege 5

grantpax
I don’t think SWRLTab is available yet for Protege 5. If I remember, they ran into some bugs and had to put off the release. I’m not sure of the schedule.

> On Dec 20, 2014, at 10:02 AM, Young-hyun Park <[hidden email]> wrote:
>
> I need to install SWRL tab in Protege desktop version 5.
> And I searched the way to install swrltab-plugin on websites below.
>
> https://github.com/protegeproject/swrltab-plugin
> and
> http://chuongdang.com/blog/2014/10/09/how-to-install-swrl-tab-plugin-for-protege-5/
>
> I followed the process exactly and succeeded to make jar file.
> Protege_swrl_tap_plugin_jar.png
> <http://protege-project.136.n4.nabble.com/file/n4661992/Protege_swrl_tap_plugin_jar.png>  
>
> But SWRL Tab didn't show any where in the application.
> Protege_5.png
> <http://protege-project.136.n4.nabble.com/file/n4661992/Protege_5.png>  
>
> I checked "Help>About> Plug Information" and there is swrl tab plugin,
> though.
> Protege_5.png
> <http://protege-project.136.n4.nabble.com/file/n4661992/Protege_5.png>  
>
> I couldn't find what was wrong.
> Please help me...
>
>
>
>
> --
> View this message in context: http://protege-project.136.n4.nabble.com/SWRL-Tab-installation-error-in-Protege-5-tp4661992.html
> Sent from the Protege User mailing list archive at Nabble.com.
> _______________________________________________
> protege-user mailing list
> [hidden email]
> https://mailman.stanford.edu/mailman/listinfo/protege-user

_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: SWRL Tab installation error in Protege 5

Yu Lin
Hi,Young-hyun,

Please see the previous discussion on this page:
https://mailman.stanford.edu/pipermail/protege-user/2014-November/subject.html
especially pay attention to the subject of "SWRL Tab" and the "The rule editor in Protege 5 doesn't work " where Matthew gave a link to install protege 5 from github where the rule editor bug has been corrected.
The rule view in Protege 5 can be found in Window -> Views -> Ontology Views -> Rules.

Best,
Asiyah


_______________________________________________
protege-user mailing list
[hidden email]
https://mailman.stanford.edu/mailman/listinfo/protege-user
Reply | Threaded
Open this post in threaded view
|

Re: SWRL Tab installation error in Protege 5

Young-hyun Park
Thank you very much for your help.

Best regards,
Young-hyun Park
Reply | Threaded
Open this post in threaded view
|

Re: SWRL Tab installation error in Protege 5

Young-hyun Park
In reply to this post by grantpax
Thank you very much for the information.

Best regards,
Young-hyun Park